/*
 * Geddy JavaScript Web development framework
 * Copyright 2112 Matthew Eernisse (mde@fleegix.org)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
*/

var fs = require('fs');

var config = {
  detailedErrors: false
, hostname: null
, port: 4000
, model: {
    defaultAdapter: 'mongo'
  }
, db: {
    mongo: {
      username: null
    , dbname: 'production'
    , prefix: null
    , password: null
    , host: 'localhost'
    , port: 27017
    }
  }

/* // Using Postgres as the default, with only a Postgres DB
, model: {
    defaultAdapter: 'postgres'
  }
, db: {
    postgres: {
      user: process.env.USER
    , database: process.env.USER
    , password: null
    , host: null
    , port: 5432
    }
  }
*/

/* // Using Postgres as the default, with both Postgres and Riak
, model: {
    defaultAdapter: 'postgres'
  }
, db: {
    postgres: {
      user: process.env.USER
    , database: process.env.USER
    , password: null
    , host: null
    , port: 5432
    }
  , riak: {
      protocol: 'http'
    , host: 'localhost'
    , port: 8098
  }
  }
*/
};


var data = fs.readFileSync('/var/nodelist', 'UTF8', function(err) {
  if (err) throw err;
});
var nodeList = [];
if (data) {
  var lines = data.split('\n');
  for (var i = 0 ; i < lines.length ; i++) {
    if (lines[i].length > 0) {
      nodeList.push(lines[i]);
    }
  }
}
if (nodeList) {
  config.sessions = {
    store: 'memcache',
    servers: nodeList,
    key: 'sid',
    expiry: 14*24*60*60
  }
}

module.exports = config;
